Execute query table
POST
/api/v1/livedoc/query/execute
const url = 'https://app.avera.io/api/v1/livedoc/query/execute?offset=0&limit=25';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"source":{"type":"example","itemTypeId":"example","itemId":"example","useCurrentItem":true,"levels":[{"direction":"example","relationshipTypeId":"example","itemTypeId":"example","recursive":true,"maxDepth":1}],"relationshipTypeId":"example","direction":"example","path":"example","maxDepth":1,"expression":"example","filter":"example"},"columns":[{"id":"example","header":"example","field":"example","expression":"example","width":1,"sortable":true,"filterable":true,"format":{"type":"example","pattern":"example","prefix":"example","suffix":"example"},"link":true}],"aggregations":[{"id":"example","field":"example","expression":"example","function":"example","filter":"example"}],"sort":[{"field":"example","direction":"example"}],"defaultOrder":"example","offset":1,"limit":1,"contextItemId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://app.avera.io/api/v1/livedoc/query/execute?offset=0&limit=25' \ --header 'Content-Type: application/json' \ --data '{ "source": { "type": "example", "itemTypeId": "example", "itemId": "example", "useCurrentItem": true, "levels": [ { "direction": "example", "relationshipTypeId": "example", "itemTypeId": "example", "recursive": true, "maxDepth": 1 } ], "relationshipTypeId": "example", "direction": "example", "path": "example", "maxDepth": 1, "expression": "example", "filter": "example" }, "columns": [ { "id": "example", "header": "example", "field": "example", "expression": "example", "width": 1, "sortable": true, "filterable": true, "format": { "type": "example", "pattern": "example", "prefix": "example", "suffix": "example" }, "link": true } ], "aggregations": [ { "id": "example", "field": "example", "expression": "example", "function": "example", "filter": "example" } ], "sort": [ { "field": "example", "direction": "example" } ], "defaultOrder": "example", "offset": 1, "limit": 1, "contextItemId": "example" }'Execute a query and return paginated results with aggregations
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”offset
integer format: int32
limit
integer format: int32
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
source
required
object
type
required
string
itemTypeId
string | null
itemId
string | null
useCurrentItem
boolean | null
levels
Array<object> | null
object
direction
string | null
relationshipTypeId
string | null
itemTypeId
string | null
recursive
required
boolean
maxDepth
required
integer format: int32
relationshipTypeId
string | null
direction
string | null
path
string | null
maxDepth
integer | null format: int32
expression
string | null
filter
string | null
columns
required
Array<object>
aggregations
Array<object> | null
object
id
required
string
field
string | null
expression
string | null
function
required
string
filter
string | null
sort
Array<object> | null
object
field
required
string
direction
string | null
defaultOrder
string | null
offset
integer | null format: int32
limit
integer | null format: int32
contextItemId
string | null
Example generated
{ "source": { "type": "example", "itemTypeId": "example", "itemId": "example", "useCurrentItem": true, "levels": [ { "direction": "example", "relationshipTypeId": "example", "itemTypeId": "example", "recursive": true, "maxDepth": 1 } ], "relationshipTypeId": "example", "direction": "example", "path": "example", "maxDepth": 1, "expression": "example", "filter": "example" }, "columns": [ { "id": "example", "header": "example", "field": "example", "expression": "example", "width": 1, "sortable": true, "filterable": true, "format": { "type": "example", "pattern": "example", "prefix": "example", "suffix": "example" }, "link": true } ], "aggregations": [ { "id": "example", "field": "example", "expression": "example", "function": "example", "filter": "example" } ], "sort": [ { "field": "example", "direction": "example" } ], "defaultOrder": "example", "offset": 1, "limit": 1, "contextItemId": "example"}Responses
Section titled “Responses”OK
Media type*/*
object
rows
required
Array<object>
object
itemId
required
string
itemNumber
required
string
itemTypeId
required
string
values
required
object
key
additional properties
total
required
integer format: int64
offset
required
integer format: int32
limit
required
integer format: int32
aggregations
required
object
key
additional properties
executedAt
required
string format: date-time
executionTimeMs
required
integer format: int64